# Dimensions | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Class Dimensions

#### Hierarchy

- Dimensions

#### Implements

- IDimensions

- Defined in classes/Dimensions.ts:8

#####
Index

### Constructors

constructor

### Accessors

height
width

### Methods

reverse

## Constructors

### constructor

- new Dimensions(width: number, height: number): Dimensions

- #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns Dimensions

  - Defined in classes/Dimensions.ts:13

## Accessors

### height

- get height(): number

- #### Returns number

  Implementation of IDimensions.height

  - Defined in classes/Dimensions.ts:24

### width

- get width(): number

- #### Returns number

  Implementation of IDimensions.width

  - Defined in classes/Dimensions.ts:22

## Methods

### reverse

- reverse(): Dimensions

- #### Returns Dimensions

  - Defined in classes/Dimensions.ts:26